	IMPLICIT INTEGER(A-Z)
	DIMENSION ARAY(30),IDIAL(9)
	DATA ARAY/'T','H','I','S',' ','I','S',' ','T','H','E',' ',
	1  'M','E','S','S','A','G','E',' ','T','O',' ','B','E',' ',
	2  'S','E','N','T'/
	DATA IDIAL/9,14,8,9,7,5,7,10,2/
	N=30
	TYPE 100
100	FORMAT(' TTY NUMBER?   '$)
	ACCEPT 101,IOINDX
101	FORMAT(O)
	IOINDX=IOINDX+"200000
	CALL INIT(IOINDX,IERR,ITYPE)
	IF(.NOT.IERR)GO TO 200
C
C	DIAL THE OTHER PROCESSOR
C
	CALL DIAL(IDIAL,9,IERR,ITYPE)
	IF(.NOT.IERR) GO TO 400
C
C	REFORMAT AND SEND THE MESSAGE
C
	DO 150 I=1,N
	J=ARAY(I).AND."400000000000
	ARAY(I)=(ARAY(I).AND."374000000000)/"4000000000
	IF(J.NE.0) ARAY(I)=ARAY(I).OR."100
150	CONTINUE
	CALL SEND(ARAY,N,IERR,ITYPE)
	IF(.NOT.IERR) GO TO 300
	TYPE 401
	CALL HNGUP
	CALL EXIT
401	FORMAT(' MESSAGE SENT SUCCESSFULLY')
C
C	AN INITIALIZATION ERROR OCCURRED
C
200	TYPE 110
	IF (ITYPE.EQ.1)TYPE 111
	IF (ITYPE.EQ.2)TYPE 112
	CALL HNGUP
	CALL EXIT
110	FORMAT(' ? TTY INITIALIZATION FAILURE')
111	FORMAT('   TTY NOT AVAILABLE')
112	FORMAT('   TTY NOT ASSIGNED')
C
C	A TRANSMISSION ERROR OCCURRED
C
300	TYPE 301
	IF(IERR.EQ.0) TYPE 302
	IF(IERR.EQ.1) TYPE 303
	CALL HNGUP
	CALL EXIT
301	FORMAT(' ? TRANSMISSION ERROR')
302	FORMAT('   COULD NOT SEND MESSAGE -- TIMED OUT')
303	FORMAT('   DATA MESSAGE RECEIVED DURING TRANSMISSION')
C
C	AN ERROR IN DIALING OCCURRED
C
400	TYPE 405
	IF(ITYPE.EQ.1) TYPE 406
	IF(ITYPE.EQ.2) TYPE 407
	CALL HNGUP
	CALL EXIT
405	FORMAT(' ? ERROR IN DIAL')
406	FORMAT('   TTY NOT A DATASET')
407	FORMAT('   CALL DID NOT GO THROUGH')
	END
